%define   anolis_release 1

Name:     unzip
Epoch:    1
Version:  6.0
Release:  %{anolis_release}%{?dist}
License:  BSD
Summary:  A utility for unpacking zip files
URL:      http://infozip.sourceforge.net
Source:   http://downloads.sourceforge.net/infozip/unzip60.tar.gz#/%{name}-%{version}.tar.gz

# Not sent to upstream.
Patch1: 0001-unzip-6.0-bzip2-configure.patch
# Upstream plans to do this in zip (hopefully also in unzip).
Patch2: 0002-unzip-6.0-exec-shield.patch
# Upstream plans to do similar thing.
Patch3: 0003-unzip-6.0-close.patch
Patch4: 0004-unzip-6.0-attribs-overflow.patch
# Modify the configure script to accept var LFLAGS2 so linking can be configurable
# from the spec file. In addition '-s' is still removed as before
Patch5: 0005-unzip-6.0-configure.patch

# Update match.c with recmatch() from zip 3.0's util.c
# This also resolves the license issue in that old function.
# Original came from here: https://projects.parabolagnulinux.org/abslibre.git/plain/libre/unzip-libre/match.patch
Patch6: 0006-unzip-6.0-fix-recmatch.patch
# Update process.c
Patch7: 0007-unzip-6.0-symlink.patch
# change using of macro "case_map" by "to_up"
Patch8: 0008-unzip-6.0-caseinsensitive.patch
# downstream fix for "-Werror=format-security"
# upstream doesn't want hear about this option again
Patch9: 0009-unzip-6.0-format-secure.patch

Patch10: 0010-unzip-6.0-valgrind.patch
Patch11: 0011-unzip-6.0-x-option.patch
Patch12: 0012-unzip-6.0-overflow.patch
Patch13: 0013-unzip-6.0-cve-2014-8139.patch
Patch14: 0014-unzip-6.0-cve-2014-8140.patch
Patch15: 0015-unzip-6.0-cve-2014-8141.patch
Patch16: 0016-unzip-6.0-overflow-long-fsize.patch

Patch17: 0017-unzip-6.0-heap-overflow-infloop.patch

# support non-{latin,unicode} encoding
Patch18: 0018-unzip-6.0-alt-iconv-utf8.patch
Patch19: 0019-unzip-6.0-alt-iconv-utf8-print.patch
Patch20: 0020-Fix-CVE-2016-9844-rhbz-1404283.patch

# restore unix timestamp accurately
Patch21: 0021-unzip-6.0-timestamp.patch

# fix possible heap based stack overflow in passwd protected files
Patch22: 0022-unzip-6.0-cve-2018-1000035-heap-based-overflow.patch

Patch23: 0023-unzip-6.0-cve-2018-18384.patch

# covscan issues
Patch24: 0024-unzip-6.0-COVSCAN-fix-unterminated-string.patch


BuildRequires:  make
BuildRequires:  bzip2-devel, gcc

%description
The unzip utility is used to list, test, or extract files from a zip
archive.  Zip archives are commonly found on MS-DOS systems.  The zip
utility, included in the zip package, creates zip archives.  Zip and
unzip are both compatible with archives created by PKWARE(R)'s PKZIP
for MS-DOS, but the programs' options and default behaviors do differ
in some respects.

Install the unzip package if you need to list, test or extract files from
a zip archive.

%prep
%autosetup -n unzip60 -p1

%build
# IZ_HAVE_UXUIDGID is needed for right functionality of unzip -X
# NOMEMCPY solve problem with memory overlapping - decompression is slowly,
# but successfull.
%make_build -f unix/Makefile CF_NOOPT="-I. -DUNIX $RPM_OPT_FLAGS -DNOMEMCPY -DIZ_HAVE_UXUIDGID -DNO_LCHMOD" \
                        generic_gcc

%install
make -f unix/Makefile prefix=$RPM_BUILD_ROOT%{_prefix} MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 INSTALL="cp -p" install

%files
%license LICENSE COPYING.OLD
%doc README BUGS
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Thu Apr 21 2022 yuanhui <yuanhui@linux.alibaba.com> - 1:6.0-1
- Init unzip for anolis os 23
